import request from '@/utils/request'
// 查询内部位移数据列表不分页
export function listGjNopage(query) {
  return request({
    url: '/project/gj/listNoPage',
    method: 'get',
    params: query
  })
}
// 查询钢筋应力监测数据列表
export function listGj(query) {
  return request({
    url: '/project/gj/list',
    method: 'get',
    params: query
  })
}

// 查询钢筋应力监测数据详细
export function getGj(id) {
  return request({
    url: '/project/gj/' + id,
    method: 'get'
  })
}

// 新增钢筋应力监测数据
export function addGj(data) {
  return request({
    url: '/project/gj',
    method: 'post',
    data: data
  })
}

// 修改钢筋应力监测数据
export function updateGj(data) {
  return request({
    url: '/project/gj',
    method: 'put',
    data: data
  })
}

// 删除钢筋应力监测数据
export function delGj(id) {
  return request({
    url: '/project/gj/' + id,
    method: 'delete'
  })
}
